(function() {
    tinymce.PluginManager.add('GSCOURSE_mce_button', function( editor, url ) {
        editor.addButton( 'GSCOURSE_mce_button', {
            title: 'GS Course',
            type: 'button',
            icon: 'icon gscourse-mce-icon',
            onclick: function() {
                editor.windowManager.open( {
                    title: 'Insert GS Course Shortcode ',
                    body: [{
                        type: 'textbox',
                        name: 'Totcourses',
                        label: 'Number of Courses',
                        value:'6'
                    },
                    {
                        type: 'listbox',
                        name: 'GScourseTheme',
                        label: 'Theme',
                        'values': [
                            {text: 'Grid 1', value: 'gs_course_grid_1'},
                            {text: 'Horizontal (Right Info)', value: 'gs_course_horizontal_1'},
                            {text: 'Horizontal (Left Info)', value: 'gs_course_horizontal_2'},
                            {text: 'List (Right Info)', value: 'gs_course_list_1'},
                            {text: 'List (Left Info)', value: 'gs_course_list_2'},
                            {text: 'Card (Bottom Info)', value: 'gs_course_card_1'},
                            {text: 'Slider', value: 'gs_course_slider_1'},
                            {text: 'Popup', value: 'gs_course_popup_1'},
                            {text: 'Filter', value: 'gs_course_filter_1'}
                        ]
                    },
                    {
                        type: 'listbox',
                        name: 'GSCourseCol',
                        label: 'Column',
                        'values': [
                            {text: '2 Columns', value: '6'},
                            {text: '3 Columns', value: '4'},
                            {text: '4 Columns', value: '3'}
                        ]
                    },
                    {
                        type: 'textbox',
                        name: 'GSCourseGrp',
                        label: 'Courses Category',
                        placeholder:'Add Category Slug'
                    },
                    {
                        type: 'listbox',
                        name: 'CourseCatN',
                        label: 'Category Name show/hide',
                        'values': [
                            {text: 'None', value: 'none'},
                            {text: 'Initial', value: 'initial'}
                        ]
                    },
                    {
                        type: 'textbox',
                        name: 'Course_Desc_c_limit',
                        label: 'Description Char Limit',
                        value:'100'
                    },
                    {
                        type: 'listbox',
                        name: 'CourseOrder',
                        label: 'Order',
                        'values': [
                            {text: 'DESC', value: 'DESC'},
                            {text: 'ASC', value: 'ASC'}
                        ]
                    },
                    {
                        type: 'listbox',
                        name: 'CourseOrderBy',
                        label: 'Order By',
                        'values': [
                            {text: 'Date', value: 'date'},
                            {text: 'ID', value: 'ID'},
                            {text: 'Title', value: 'title'},
                            {text: 'Modified', value: 'modified'},
                            {text: 'Random', value: 'rand'}
                        ]
                    }

                    ],
                    onsubmit: function( e ) {
                        editor.insertContent( '[gs_courses num="' + e.data.Totcourses + '" theme="' + e.data.GScourseTheme + '" cols="' + e.data.GSCourseCol + '" group="' + e.data.GSCourseGrp + '" cats_name="' + e.data.CourseCatN + '" desc_limit="' + e.data.Course_Desc_c_limit + '" order="' + e.data.CourseOrder + '" orderby="' + e.data.CourseOrderBy + '"]');
                    }

                });
    }
        });
    });
})();