<?php
/*
 * GS courseshowcase - Archive Page
 * @author Golam Samdani <samdani1997@gmail.com>
 *
 */
remove_action( 'genesis_sidebar', 'genesis_do_sidebar' );
get_header(); ?>

<div class="container gs-archive-course-container">
    <h1 class="arc-title">Courses Archive</h1>
    <div class="row clearfix gs_courses">
        <?php while ( have_posts() ) : the_post();
            $gscourse_course_id      = get_post_thumbnail_id();
            $gscourse_course_url     = wp_get_attachment_image_src($gscourse_course_id, 'full', true);
            $gscourse_course_thumb   = $gscourse_course_url[0];
            $gscourse_course_alt     = get_post_meta($gscourse_course_id,'_wp_attachment_image_alt',true);
            $gscourse_course_title           = get_the_title();
            $gscourse_course_details_link    = get_the_permalink();
            $gscourse_st_url          = !empty($gscourse_course_meta['_gscourse_url'][0]) ? $gscourse_course_meta['_gscourse_url'][0] : '';
        ?>

        <div class="col-md-4 col-sm-6 col-xs-6 gs-grid">
            <div class="gs-arc-course-img">
                <a href="<?php echo $gscourse_course_details_link; ?>" target="_self">
                    <?php if ( has_post_thumbnail() ) : ?>
                        <img src="<?php echo $gscourse_course_thumb; ?>" alt="<?php echo $gscourse_course_alt; ?>" />
                    <?php else : ?>
                        <img src="<?php echo GSCOURSES_FILES_URI; ?>/assets/img/no_img.png" class=""/>
                   <?php endif; ?>
                </a>
            </div>

            <?php if(!empty( $gscourse_course_title )) : ?>
                <div class="gs-course-name"><a href="<?php echo $gscourse_course_details_link; ?>" target="_self"><?php echo $gscourse_course_title; ?></a></div>
            <?php endif; ?>
        </div> <!-- end col -->

        <?php endwhile; ?>

    </div> <!-- end row -->
</div> <!-- end container -->

<?php //get_sidebar(); ?>
<?php get_footer(); ?>