<?php
/*
 * GS course - Theme Popup
 * @author Golam Samdani <samdani1997@gmail.com>
 *
 */

$output .= '<div class="container">';
$output .= '<div class="row clearfix gs_courses " id="gs_courses'.get_the_id().'">';

    if ( $GLOBALS['gs_courses_loop']->have_posts() ) {
        // $output .= '<div class="gs-all-items-filter-wrapper">';
        while ( $GLOBALS['gs_courses_loop']->have_posts() ) {
            $GLOBALS['gs_courses_loop']->the_post();
            
            $gscourse_course_id      = get_post_thumbnail_id();
            $gscourse_course_url     = wp_get_attachment_image_src($gscourse_course_id, 'full', true);
            $gscourse_course_thumb   = $gscourse_course_url[0];
            $gscourse_course_alt     = get_post_meta($gscourse_course_id,'_wp_attachment_image_alt',true);
            $gscourse_course_title           = get_the_title();
            $gscourse_course_details         = get_the_content();
            $gscourse_course_details_link    = get_the_permalink();
            $gscourse_course_details         = (strlen($gscourse_course_details) > 50) ? substr($gscourse_course_details,0, $desc_limit ).' ... <a href="'.$gscourse_course_details_link.'" target="_self">Course Details</a>' : $gscourse_course_details;

            $gscourse_course_meta       = get_post_meta( get_the_id() );
            $gscourse_st_coachname      = !empty($gscourse_course_meta['_gscourse_coachname'][0]) ? $gscourse_course_meta['_gscourse_coachname'][0] : '';
            $gscourse_st_fee            = !empty($gscourse_course_meta['_gscourse_fee'][0]) ? $gscourse_course_meta['_gscourse_fee'][0] : '';
            $gscourse_st_enrollstd      = !empty($gscourse_course_meta['_gscourse_enrollstd'][0]) ? $gscourse_course_meta['_gscourse_enrollstd'][0] : '';
            $gscourse_st_rating         = !empty($gscourse_course_meta['_gscourse_rating'][0]) ? $gscourse_course_meta['_gscourse_rating'][0] : '';

            $output .= '<div class="col-md-'.$cols.' col-sm-6 col-xs-6 gs-grid">';
                $output .= '<div class="single-course single-course-pop-base center">'; // start single course
                    $output .= '<a class="popup-link center" href="#gs_course_popup_'.get_the_id().'" data-effect="">'; // Start Link
                        if ( has_post_thumbnail() )
                            $output .= '<img src="'. $gscourse_course_thumb .'" alt="'. $gscourse_course_alt .'"/>';
                        else {
                            $output .= '<img src="' . GSCOURSES_FILES_URI . '/assets/img/no_img.png" class=""/>';
                        }
                        $output .= '<div class="gs_course_overlay"><i class="fa fa-external-link"></i></div>';
                        $output .= '<div class="single-course-title">';
                            if ( 'on' ==  $gscourse_op_course_title ) :
                                $output.= '<div class="gs-course-name">'. get_the_title() .'</div>';
                            endif;
                            if ( !empty( $gscourse_st_rating ) && 'on' ==  $gscourse_op_rating ) :
                                $star_args = array(
                                    'rating'    => $gscourse_st_rating,
                                    'type'      => 'rating',
                                    'number'    => 0,
                                    'echo'      => false,
                                );
                                $output.= '<div class="gs-course-rating">'. wp_star_rating( $star_args ) .'</div>';
                            endif;
                        $output .= '</div>'; // End Title
                    $output .= '</a>'; // End Link

                    // start Popup
                    $output .= '<div id="gs_course_popup_'.get_the_id().'" class="course-popup-layer white-popup mfp-hide mfp-with-anim ">';
                        $output .= '<div class="course-popup-img center">'; //start popup img
                            if ( has_post_thumbnail() )
                            $output .= '<a href='.$gscourse_course_details_link.' target="_self"><img src="'. $gscourse_course_thumb .'" alt="'. $gscourse_course_alt .'" /></a>';
                            else {
                                $output .= '<img src="' . GSCOURSES_FILES_URI . '/assets/img/no_img.png" class=""/>';
                            }
                        $output .= '</div>'; // end popup Img

                        $output .= '<div class="course-popup-info">'; // start course popup info
                            if ( !empty( $gscourse_course_title ) && 'on' ==  $gscourse_op_course_title ) :
                            $output.= '<div class="gs-course-name"><a href='.$gscourse_course_details_link.' target="_self">'. $gscourse_course_title .'</a></div>';
                            endif;

                            $output .= '<div class="gs-course-info">'; // course info
                                if ( !empty( $gscourse_st_coachname )) :
                                    $output .='<span class="gs-course-coachname" >'. $gscourse_st_coachname .'</span>';
                                endif;
                                if ( !empty( $gscourse_st_enrollstd )) :
                                    $output .= '<span class="course-enrolled"><span class="course-info-icon fa fa-group"></span><span class="course-text-number">'. $gscourse_st_enrollstd .'</span></span>';
                                endif;
                                if ( !empty( $gscourse_st_rating ) && 'on' ==  $gscourse_op_rating) :
                                $star_args = array(
                                    'rating'    => $gscourse_st_rating,
                                    'type'      => 'rating',
                                    'number'    => 0,
                                    'echo'      => false,
                                );
                                $output .= '<span class="gs-course-rating-single">'. wp_star_rating( $star_args ) .'</span>';
                                endif;

                                if ( !empty( $gscourse_st_fee )) :
                                    $output .='<span class="course-info-fee" >'. $gscourse_st_fee .'</span>';
                                endif;
                            $output .= '</div>'; // End course info
                            if ( !empty( $gscourse_course_details ) && 'on' ==  $gscourse_op_course_details ) :
                                $output.= '<div class="gs-course-details justify"><span class="course-label">Description : </span>'. $gscourse_course_details .'</div>';
                            endif;
                        $output .= '</div>'; // end course popup info
                    $output .= '</div>'; // end popup
                    // Popup end

                $output .= '</div>'; // end single course
            $output .= '</div>'; // end col

            } // end while loop
            do_action('gs_course_custom_css');

            // $output .= '</div>'; //End gs-all-items-filter-wrapper
        } else {
            $output .= "No course Added!";
        }

    wp_reset_postdata();
$output .= '</div>'; // end row
$output .= '</div>'; // end container
return $output;