<?php
/*
 * GS course - Single Course
 * @author Golam Samdani <samdani1997@gmail.com>
*/

remove_action( 'genesis_sidebar', 'genesis_do_sidebar' );
get_header(); ?>

<div class="container gs-single-course-container">
        <?php while ( have_posts() ) : the_post();
            $gscourse_course_id      = get_post_thumbnail_id();
            $gscourse_course_url     = wp_get_attachment_image_src($gscourse_course_id, 'full', true);
            $gscourse_course_thumb   = $gscourse_course_url[0];
            $gscourse_course_alt     = get_post_meta($gscourse_course_id,'_wp_attachment_image_alt',true);
            $gscourse_course_title           = get_the_title();
            $gscourse_course_details         = get_the_content();
            $gscourse_course_details_link    = get_the_permalink();

            $gscourse_course_meta      = get_post_meta( get_the_id());
            $gscourse_st_subject        = !empty($gscourse_course_meta['_gscourse_subject'][0]) ? $gscourse_course_meta['_gscourse_subject'][0] : '';
            $gscourse_st_duration       = !empty($gscourse_course_meta['_gscourse_duration'][0]) ? $gscourse_course_meta['_gscourse_duration'][0] : '';
            $gscourse_st_level          = !empty($gscourse_course_meta['_gscourse_level'][0]) ? $gscourse_course_meta['_gscourse_level'][0] : '';
            $gscourse_st_totalvideo     = !empty($gscourse_course_meta['_gscourse_totalvideo'][0]) ? $gscourse_course_meta['_gscourse_totalvideo'][0] : '';
            $gscourse_st_totallecture   = !empty($gscourse_course_meta['_gscourse_totallecture'][0]) ? $gscourse_course_meta['_gscourse_totallecture'][0] : '';
            $gscourse_st_coachname      = !empty($gscourse_course_meta['_gscourse_coachname'][0]) ? $gscourse_course_meta['_gscourse_coachname'][0] : '';
            $gscourse_st_coachprof      = !empty($gscourse_course_meta['_gscourse_coachprof'][0]) ? $gscourse_course_meta['_gscourse_coachprof'][0] : '';
            $gscourse_st_coachlink      = !empty($gscourse_course_meta['_gscourse_coachlink'][0]) ? $gscourse_course_meta['_gscourse_coachlink'][0] : '';
            $gscourse_st_fee            = !empty($gscourse_course_meta['_gscourse_fee'][0]) ? $gscourse_course_meta['_gscourse_fee'][0] : '';
            $gscourse_st_coverage       = !empty($gscourse_course_meta['_gscourse_coverage'][0]) ? $gscourse_course_meta['_gscourse_coverage'][0] : '';
            $gscourse_st_learn          = !empty($gscourse_course_meta['_gscourse_learn'][0]) ? $gscourse_course_meta['_gscourse_learn'][0] : '';
            $gscourse_st_career         = !empty($gscourse_course_meta['_gscourse_career'][0]) ? $gscourse_course_meta['_gscourse_career'][0] : '';
            $gscourse_st_material       = !empty($gscourse_course_meta['_gscourse_material'][0]) ? $gscourse_course_meta['_gscourse_material'][0] : '';
            $gscourse_st_whom           = !empty($gscourse_course_meta['_gscourse_whom'][0]) ? $gscourse_course_meta['_gscourse_whom'][0] : '';
            $gscourse_st_requir         = !empty($gscourse_course_meta['_gscourse_requir'][0]) ? $gscourse_course_meta['_gscourse_requir'][0] : '';
            $gscourse_st_certificate    = !empty($gscourse_course_meta['_gscourse_certificate'][0]) ? $gscourse_course_meta['_gscourse_certificate'][0] : '';
            $gscourse_st_shedule        = !empty($gscourse_course_meta['_gscourse_shedule'][0]) ? $gscourse_course_meta['_gscourse_shedule'][0] : '';
            $gscourse_st_enrollstd      = !empty($gscourse_course_meta['_gscourse_enrollstd'][0]) ? $gscourse_course_meta['_gscourse_enrollstd'][0] : '';
            $gscourse_st_rating         = !empty($gscourse_course_meta['_gscourse_rating'][0]) ? $gscourse_course_meta['_gscourse_rating'][0] : '';
            $gscourse_st_admitlink      = !empty($gscourse_course_meta['_gscourse_admitlink'][0]) ? $gscourse_course_meta['_gscourse_admitlink'][0] : '';

            //options of meta data: Common data
            $gscourse_op_course_title         = gs_courses_getoption('gs_course_title', 'gs_courses_option_02_settings', 'on');
            $gscourse_op_course_details       = gs_courses_getoption('gs_course_details', 'gs_courses_option_02_settings', 'on');
            $gscourse_op_course_link_tar      = gs_courses_getoption('gs_course_link_tar', 'gs_courses_option_01_settings', '_blank');
            //meta data option
        ?>
        <div class="gs-course-single-head clearfix"> <!-- course-single-head -->
            
            <?php if(!empty( $gscourse_course_title )) : ?>
                <h1 class="gs-course-name single-heading-info"><?php echo $gscourse_course_title; ?></h1>
            <?php endif; ?>
            
            <div class="row clearfix">
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php if(!empty( $gscourse_st_subject )) : ?>
                        <div class="gs-course-subject single-heading-info"><span class="course-label">Subject : </span><?php echo $gscourse_st_subject ; ?></div>
                    <?php endif; ?>
                </div>
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php
                    global $post;
                    $terms = get_the_terms( $post->ID, 'courses_group' );
                    if ( $terms && ! is_wp_error( $terms ) ) :
                        $gs_proj_grp = array();
                        foreach ( $terms as $term ) {
                            $gs_proj_grp[] = $term->name;
                           }
                           $gs_proj_grp = join( ", ", $gs_proj_grp );
                    ?>
                        <div class="gs-course-category single-heading-info"><span class="course-label">Category : </span><?php echo $gs_proj_grp; ?></div>
                    <?php endif;  ?>
                </div>

                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php
                    $terms = get_the_terms( $post->ID, 'subcategory_group' );
                    if ( $terms && ! is_wp_error( $terms ) ) :
                        $gs_proj_grp = array();
                        foreach ( $terms as $term ) {
                            $gs_proj_grp[] = $term->name;
                           }
                           $gs_proj_grp = join( ", ", $gs_proj_grp );
                         ?>
                           <div class="gs-course-subcategory single-heading-info"><span class="course-label">Sub Category : </span><?php echo $gs_proj_grp; ?></div>
                    <?php endif;  ?>
                </div>
            </div>
            <div class="row clearfix"> <!-- row for coach-info  -->
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php if(!empty( $gscourse_st_coachname )) : ?>
                      <div class="gs-course-coachname single-heading-info" ><span class="course-label">Coach : </span><?php echo $gscourse_st_coachname ; ?></div>
                    <?php endif; ?>
                </div>
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php if(!empty( $gscourse_st_coachprof )) : ?>
                        <div class="gs-course-coachprof single-heading-info"><span class="course-label">Profession : </span><?php echo $gscourse_st_coachprof ; ?></div>
                    <?php endif; ?>
                </div>
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php if(!empty( $gscourse_st_coachlink )) : ?>
                        <div class="gs-coach-url single-heading-info"><a href="<?php echo $gscourse_st_coachlink; ?>" target="<?php echo $gscourse_op_course_link_tar; ?>">About Coach</a></div>
                    <?php endif; ?>
                </div>
            </div>  <!-- row for coach-info  -->

            <div class="row clearfix"><!-- row for course summery-->
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php if(!empty( $gscourse_st_enrollstd )) : ?>
                    <div class="gs-course-enrollstd single-heading-info" ><span class="course-label">Enrolled Student : </span><span class="course-text-number"><?php echo $gscourse_st_enrollstd ; ?></span></div>
                    <?php endif; ?>
                </div>
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php
                        if ( !empty( $gscourse_st_rating )) :
                            $star_args = array(
                                'rating'    => $gscourse_st_rating,
                                'type'      => 'rating',
                                'number'    => 0,
                                'echo'      => false,
                            );
                        ?>
                            <div class="gs-course-rating single-heading-info" ><span class="course-label">Rating : </span>
                                <?php echo '<span class="gs-course-rating-single">'. wp_star_rating( $star_args ) .'</span>'; ?>
                            </div>
                        <?php endif; ?>
                </div>

                <div class="col-md-4 col-sm-4 col-xs-12">
                    <?php if(!empty( $gscourse_st_fee )) : ?>
                      <span class="gs-single-course-fee single-heading-info" ><?php echo $gscourse_st_fee ; ?></span>
                    <?php endif; ?>
                    <?php if(!empty( $gscourse_st_admitlink )) : ?>
                    <span class="gs-course-url enrollbtn"><a href="<?php echo $gscourse_st_admitlink; ?>" target="<?php echo $gscourse_op_course_link_tar; ?>">Enroll Now</a></span>
                    <?php endif; ?>
                </div>
            </div><!--// End row for course summery-->
        </div> <!-- //End course-single-head -->
        <div class="row clearfix gs-course-single-imageinfo">
            <div class="col-md-8 col-sm-8 col-xs-12"> <!-- left side image -->
               <div class="gs-course-single-image">
                   <?php if(!empty ($gscourse_course_thumb)) : ?>
                    <?php if ( has_post_thumbnail() ) : ?>
                        <img src="<?php echo $gscourse_course_thumb; ?>" alt="<?php echo $gscourse_course_alt; ?>" />
                    <?php else : ?>
                            <img src="<?php echo GSCOURSES_FILES_URI; ?>/assets/img/no_img.png" class=""/>
                    <?php endif; ?>
                <?php endif;  ?>
               </div>
            </div><!-- end col -->
            <div class="col-md-4 col-sm-4 col-xs-12"> <!-- right side info text -->
               <div class="gs-course-single-feature">
                    <h2> Course Feature</h2>
                    <?php if(!empty( $gscourse_st_duration )) : ?>
                    <div class="gs-course-duration feature-item" >
                        <span class="feature-label">Duration : </span><span class="feature-value"><?php echo $gscourse_st_duration ; ?></span>
                    </div>
                    <?php endif; ?>
                    <?php if(!empty( $gscourse_st_shedule )) : ?>
                    <div class="gs-course-shedule feature-item" >
                        <span class="feature-label">Schedule : </span><span class="feature-value"><?php echo $gscourse_st_shedule ; ?></span>
                    </div>
                    <?php endif; ?>
                    <?php if(!empty( $gscourse_st_level )) : ?>
                        <div class="gs-course-level feature-item" >
                            <span class="feature-label">Level : </span><span class="feature-value"><?php echo $gscourse_st_level ; ?></span>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty( $gscourse_st_totalvideo )) : ?>
                        <div class="gs-course-totalvideo feature-item" >
                            <span class="feature-label">Video Length : </span><span class="feature-value"><?php echo $gscourse_st_totalvideo ; ?></span>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty( $gscourse_st_totallecture )) : ?>
                        <div class="gs-course-totallecture feature-item" >
                            <span class="feature-label">Lecture : </span><span class="feature-value"><?php echo $gscourse_st_totallecture ; ?></span>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty( $gscourse_st_material )) : ?>
                        <div class="gs-course-material feature-item" >
                            <span class="feature-label">Material : </span><span class="feature-value"><?php echo $gscourse_st_material ; ?></span>
                        </div>
                    <?php endif; ?>
               </div>
            </div> <!-- end col -->
        </div> <!-- //end row -->

        <!--  singlecourse description & Course Syllabus/curriculumn Image-->
        <div class="row clearfix"><!-- row2-->
            <div class="col-md-12 col-sm-12 col-xs-12">
                <?php if(!empty( $gscourse_course_details ) && 'on' ==  $gscourse_op_course_details) : ?>
                    <div class="gs-course-desc gs-course-single-info" ><h3 class="course-label">Description : </h3><?php echo get_the_content(); ?></div>
                <?php endif; ?>
                <?php if(!empty( $gscourse_st_coverage )) : ?>
                  <div class="gs-course-coverage gs-course-single-info" ><h3 class="course-label">Coverage : </h3><?php echo $gscourse_st_coverage ; ?></div>
                <?php endif; ?>
                <?php if(!empty( $gscourse_st_learn )) : ?>
                  <div class="gs-course-learn gs-course-single-info" ><h3 class="course-label">Key Learning Outcomes and Skills : </h3><?php echo $gscourse_st_learn ; ?></div>
                <?php endif; ?>
                <?php if(!empty( $gscourse_st_career )) : ?>
                  <div class="gs-course-career gs-course-single-info" ><h3 class="course-label">Career Pathway : </h3><?php echo $gscourse_st_career ; ?></div>
                <?php endif; ?>
                <?php if(!empty( $gscourse_st_whom )) : ?>
                  <div class="gs-course-whom gs-course-single-info" ><h3 class="course-label">For Whom : </h3><?php echo $gscourse_st_whom ; ?></div>
                <?php endif; ?>
                <?php if(!empty( $gscourse_st_requir )) : ?>
                  <div class="gs-course-requir gs-course-single-info" ><h3 class="course-label">Entry Requirements : </h3><?php echo $gscourse_st_requir ; ?></div>
                <?php endif; ?>
                <?php if(!empty( $gscourse_st_certificate )) : ?>
                  <div class="gs-course-certificate gs-course-single-info" ><h3 class="course-label">Certification : </h3><?php echo $gscourse_st_certificate ; ?></div>
                <?php endif; ?>

                <!--   Data of Repeatable fields of Syllabus    -->
                <div class="gs-course-single-info clearfix">
                    <h3 class="course-label">Curriculum For This Course :</h3>
                    <div class="gs-course-syllabus">
                        <div class="headlist">
                            <div class="gs-course-row">
                            <?php echo '<span class="field1">'. 'Topics' . '</span>'; ?>
                            <?php echo '<span class="field2">'. 'Qty' . '</span>'; ?>
                            <?php echo '<span class="field3">'. 'Item' . '</span>'; ?>
                            <?php echo '<span class="field4">'. 'Duration' . '</span>'; ?>
                            </div>
                        </div>
                    <?php $repeatable_fields = get_post_meta($post->ID, 'repeatable_fields', true);  if ( $repeatable_fields ) : ?>
                        <div class="gs-course-list">
                            <?php foreach ( $repeatable_fields as $field ) { ?>
                            <div class="gs-course-list-row">
                                <?php if($field['name'] != '') echo '<span class="field1">'. esc_attr( $field['name'] ) . '</span>'; ?>
                                <?php if($field['quantity'] != '') echo '<span class="field2">'. esc_attr( $field['quantity'] ) . '</span>'; ?>
                                <?php if($field['select'] != '') echo '<span class="field3">'. esc_attr( $field['select'] ) . '</span>'; ?>
                                <?php if($field['duration'] != '') echo '<span class="field4">'. esc_attr( $field['duration'] ) . '</span>'; ?>
                            </div>
                            <?php } ?>
                        </div>
                    <?php endif; ?>
                    <!--   // End Data of Repeatable fields of Syllabus        -->
                    </div>
                </div>

            </div> <!-- //col-->

            <?php //if ( 'on' ==  $gsbks_op_sin_nxt_prev ) : ?>
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="prev-next-navigation">
                        <?php previous_post_link( '<div class="previous">%link</div>', '%title' );  ?>
                        <?php next_post_link( '<div class="next">%link</div>', '%title' );  ?>
                    </div>
                </div>
            <?php //endif; ?>

        </div><!-- //row2-->
    <?php endwhile; ?>
</div> <!-- end container -->

<?php //get_sidebar(); ?>
<?php get_footer(); ?>